Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFSlide

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFSheet
          org.apache.poi.xslf.usermodel.XSLFSlide

All Implemented Interfaces:
  org.apache.poi.sl.usermodel.ShapeContainer, org.apache.poi.sl.usermodel.Sheet, org.apache.poi.sl.usermodel.Slide

    public class XSLFSlide

extends XSLFSheet
implements org.apache.poi.sl.usermodel.Slide

Constructor Summary
`XSLFSlide(org.openxmlformats.schemas.presentationml.x2006.main.CTSlide slide, org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slideId, org.apache.poi.sl.usermodel.SlideShow parent)`

Method Summary
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlide` | `_getCTSlide()` While developing only!
`org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry` | `_getCTSlideId()` While developing only!
`XSLFCommonSlideData` | `getCommonSlideData()`
`boolean` | `getFollowMasterBackground()`
`boolean` | `getFollowMasterColourScheme()`
`boolean` | `getFollowMasterObjects()`
`org.apache.poi.sl.usermodel.Notes` | `getNotes()`
`void` | `setFollowMasterBackground(boolean follow)`
`void` | `setFollowMasterColourScheme(boolean follow)`
`void` | `setFollowMasterObjects(boolean follow)`
`void` | `setNotes(org.apache.poi.sl.usermodel.Notes notes)`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`addShape, getBackground, getMasterSheet, getShapes, getSlideShow, removeShape`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.sl.usermodel.Sheet
`getBackground, getMasterSheet, getSlideShow`

Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer
`addShape, getShapes, removeShape`

Constructor Detail

### XSLFSlide

    public XSLFSlide(org.openxmlformats.schemas.presentationml.x2006.main.CTSlide slide,
                     org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry slideId,
                     org.apache.poi.sl.usermodel.SlideShow parent)

Method Detail

### _getCTSlide

    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlide _getCTSlide()

  While developing only!

### _getCTSlideId

    public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry _getCTSlideId()

  While developing only!

### getFollowMasterBackground

    public boolean getFollowMasterBackground()

  Specified by:
    `getFollowMasterBackground` in interface `org.apache.poi.sl.usermodel.Slide`

### getFollowMasterColourScheme

    public boolean getFollowMasterColourScheme()

  Specified by:
    `getFollowMasterColourScheme` in interface `org.apache.poi.sl.usermodel.Slide`

### getFollowMasterObjects

    public boolean getFollowMasterObjects()

  Specified by:
    `getFollowMasterObjects` in interface `org.apache.poi.sl.usermodel.Slide`

### getNotes

    public org.apache.poi.sl.usermodel.Notes getNotes()

  Specified by:
    `getNotes` in interface `org.apache.poi.sl.usermodel.Slide`

### setFollowMasterBackground

    public void setFollowMasterBackground(boolean follow)

  Specified by:
    `setFollowMasterBackground` in interface `org.apache.poi.sl.usermodel.Slide`

### setFollowMasterColourScheme

    public void setFollowMasterColourScheme(boolean follow)

  Specified by:
    `setFollowMasterColourScheme` in interface `org.apache.poi.sl.usermodel.Slide`

### setFollowMasterObjects

    public void setFollowMasterObjects(boolean follow)

  Specified by:
    `setFollowMasterObjects` in interface `org.apache.poi.sl.usermodel.Slide`

### setNotes

    public void setNotes(org.apache.poi.sl.usermodel.Notes notes)

  Specified by:
    `setNotes` in interface `org.apache.poi.sl.usermodel.Slide`

### getCommonSlideData

    public XSLFCommonSlideData getCommonSlideData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD